Subject: git-daemon whitelist issue

From: Jose Luis Rivas Contreras <[email-masked]>
Date: Sat, 24 May 2008 09:34:58 -0430

[Please CC me, I'm not subscribed]

Hi, I know this will be a dummy question but I cannot find how to solve
this trying in several ways but none of them work. The issue is that
when I try to clone I get:

May 24 09:25:39 jooga git-daemon: [14724]
'/home/repo/git/xscreensaver.git': not in whitelist

My git-daemon conf is this:
8< -----
service git
{
        disable         = no
        type            = UNLISTED
        socket_type     = stream
        protocol        = tcp
        user            = nobody
        wait            = no
        server          = /usr/bin/git-daemon
        server_args     = --inetd --export-all
}
8< -----

I've tried with `--inetd --export-all /home/repo/git', `--inetd
- --export-all --base-path=/home/repo/git /home/repo/git', with
interpolated to with a symlink but nothing works, I'm trying with:

git clone git://repo.ghostbar.ath.cx/home/repo/git/xscreensaver.git noseless

Anyway, cloning trough http worked but is not what I want :)

Any toughs?

Regards.
- --
Jose Luis Rivas. San Cristóbal, Venezuela. PGP: 0xCACAB118
http://ghostbar.ath.cx/{about,acerca} - http://debian.org.ve
`ghostbar' @ irc.debian.org/#debian-ve,#debian-devel-es